Delete access token
DELETE
/v2/orgs/{org_name}/access-tokens/{access_token_id} Delete a specific access token for an organization. This action cannot be undone.
Connection and access
API connection and authentication guidance
https://hub.docker.com
—
Docker HUB API
Use one of these alternatives. Requirements within an alternative apply together.
bearerAuth
Parameters
org_name
path
Required
Name of the organization (namespace).
Type:
string
All schema constraints and annotations
{
"type": "string"
}access_token_id
path
Required
The ID of the access token to retrieve
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
204
Access token deleted successfully
No response content is declared.
Response
401
Unauthorized
application/json
Schema:
error
error
{
"errinfo": null,
"message": "unauthorized"
}Response
403
Forbidden
application/json
Schema:
error
error
{
"errinfo": null,
"message": "permission denied"
}Response
404
Not Found
application/json
Schema:
error
error
{
"errinfo": null,
"message": "not found"
}Referenced schemas
Complete operation contract
{
"description": "Delete a specific access token for an organization. This action cannot be undone.\n",
"operationId": "deleteV2OrgsByOrgNameAccessTokensByAccessTokenId",
"responses": {
"204": {
"description": "Access token deleted successfully"
},
"401": {
"$ref": "#/components/responses/Unauthorized"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/NotFound"
}
},
"security": [
{
"bearerAuth": []
}
],
"summary": "Delete access token",
"tags": [
"org-access-tokens"
]
}